WFLINFO(1)

NAME
wflinfo - a utility for printing OpenGL or OpenGL ES driver information

SYNOPSIS

wflinfo --platform platform --api api [OPTIONS]

DESCRIPTION

wflinfo is utility which creates an OpenGL or OpenGL ES context using the waffle library and prints information about the context.

REQUIRED PARAMETERS

-p platform
--platform platform
    Where platform is android, cgl, gbm, glx, surfaceless_egl (or short alias 'sl'), wayland, wgl, or x11_egl

-a api
--api api
    Where api is gl, gles1, gles2, or gles3

OPTIONS

-V MAJOR.MINOR
--version MAJOR.MINOR
    For example --api gl --version 3.2 would request OpenGL 3.2

--profile profile
    Where profile is core, compat or none

-v
--verbose
    Print more information

--forward-compatible
    Request a forward compatible context be created

--debug-context
    Request a debug context be created

-f format
--format format
    Choose the output format. Supported formats are 'original' (the default) and 'json'.

    The JSON format is backwards-compatible across Waffle versions. Future Waffle versions may add new entries to the JSON output, but will not remove existing entries.

-h
--help
    Print wflinfo usage information

EXAMPLES

    wflinfo --platform glx --api gl
    wflinfo --platform x11_egl --api gl --version 3.2 --profile core
    wflinfo --platform wayland --api gles3
    wflinfo --platform gbm --api gl --version 3.2 --verbose
    wflinfo -p gbm -a gl -V 3.2 -v

ISSUES

Please report bugs or and feature requests to https://gitlab.freedesktop.org/mesa/waffle/issues.

SEE ALSO

    waffle(7)

AUTHORS

Chad Versace <chad.versace@linux.intel.com>
    Former maintainer

Jordan Justen <jordan.l.justen@intel.com>
    Contributor

COPYRIGHT
Copyright © 2013 Intel

This manual page is licensed under the Creative Commons Attribution-ShareAlike 3.0 United States License (CC BY-SA 3.0). To view a copy of this license, visit http://creativecommons.org.license/by-sa/3.0/us.